com.holonplatform.datastore.jpa.querydsl

## Interface QueryDslTarget<T>

- Type Parameters:
    `T` - Entity path type
  All Superinterfaces:
    com.holonplatform.core.DataMappable, com.holonplatform.core.datastore.DataTarget<T>, com.holonplatform.core.Expression, com.holonplatform.core.Path<T>, com.holonplatform.core.Path.FinalPath<T>, Serializable, com.holonplatform.core.TypedExpression<T>
  All Known Implementing Classes:
    DefaultQueryDslTarget

      public interface QueryDslTarget<T>
      extends com.holonplatform.core.datastore.DataTarget<T>

  A `DataTarget` using QueryDSL `EntityPath` to identify target data structure.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.DataTarget

      `com.holonplatform.core.datastore.DataTarget.DataTargetResolver<T extends com.holonplatform.core.datastore.DataTarget>, com.holonplatform.core.datastore.DataTarget.DataTargetSupport<C extends com.holonplatform.core.datastore.DataTarget.DataTargetSupport<C>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path.FinalPath

      `com.holonplatform.core.Path.FinalPath.FinalPathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `com.holonplatform.core.Path.Builder<T,B extends com.holonplatform.core.Path.Builder<T,B>>, com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Optional<String>` | `getDataPath()`
    `com.querydsl.core.types.EntityPath<T>` | `getEntityPath()` Get the EntityPath to be used as query target
    `static <T> QueryDslTarget<T>` | `of(com.querydsl.core.types.EntityPath<T> entityPath)` Create a QueryDslTarget using given `entityPath`.

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataTarget

      `named, of, property, property, property, property, property, property, property`

    - ### Methods inherited from interface com.holonplatform.core.Path.FinalPath

      `getParent, of`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, isRootPath, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `isDataMappable`

- - ### Method Detail

    - #### getEntityPath

          com.querydsl.core.types.EntityPath<T> getEntityPath()

      Get the EntityPath to be used as query target
      Returns:
        Target EntityPath

    - #### getDataPath

          default Optional<String> getDataPath()

      Specified by:
        `getDataPath` in interface `com.holonplatform.core.DataMappable`

    - #### of

          static <T> QueryDslTarget<T> of(com.querydsl.core.types.EntityPath<T> entityPath)

      Create a QueryDslTarget using given `entityPath`.
      Type Parameters:
        `T` - Entity path type
      Parameters:
        `entityPath` - Target EntityPath
      Returns:
        DataTarget on given entity path

Copyright © 2019 The Holon Platform. All rights reserved.